# Global abbreviations file for SciTE
# Place this file in your home directory, that is, the same directory
# as the user options file.
# Contains a list of entries of the form abbreviation=expansion
# Type the abbreviation and press Ctrl+B to insert the expansion
# The '|' marks the position the caret will be after expansion.

hello=#include <iostream>\nusing namespace std;\nint main(int argc, char *argv[]) {\n   cout<<"Hello, world!"<<endl;\n|}\n
gtest=#include <gtest/gtest.h>\nTEST(TestSet, Test1) {\n   EXPECT_EQ(4, 2*2);\n|}\n
utest=#include <boost/ut.hpp>\nusing namespace boost::ut;\nint main() {\n   "Test 1"_test=[] {\n      expect(2*2 == 4_i);\n   };\n|}\n
gunit=#include <GUnit.h>\nGTEST("Test Set","Test 1") {\n   EXPECT_EQ(4, 2*2);\n|}\n
gunitl=#include <GUnit.h>\nint main() {\n   "Test 1"_test = [] {\n      EXPECT_EQ(4, 2*2);\n   };\n|}\n
gunitf=#include <GUnit.h>\nGSTEPS("Feature*") {\n|   Given("Pattern") = [&] {\n      Given("Patern1") = [&](args) { };\n      When("Patern2") = [&](args) { };\n      Then("Patern3") = [&](args) { };\n   }\n}\n
#i=if (|) {\n\n}
